%set_strip_method none

Name: coq
Version: 7.4
Release: alt4s
Summary: The Coq Proof Assistant
Copyright: freely redistributable
Group: Sciences/Mathematics
URL: http://coq.inria.fr
Source: coq-7.4.tar.gz
Source1: Reference-Manual-all.ps.gz
Source2: coq-doc-html.tar.gz
Patch: patch-coq-7.4-ocaml-3.07.patch
Icon: petit-coq.gif
Requires: ocaml = 3.07, camlp4 = 3.07
# Automatically added by buildreq on Mon Oct 13 2003
BuildRequires: camlp4 libncurses-devel ocaml-runtime

BuildRequires: ocaml = 3.07, camlp4 = 3.07

%description
Coq is a proof assistant which: 
  - allows to handle calculus assertions, 
  - check mechanically proofs of these assertions, 
  - helps to find formal proofs, 
  - extracts a certified program from the constructive proof
    of its formal specification, 

%prep
%setup
%patch0 -p0

cp %SOURCE1 ./
tar -xzf %SOURCE2

%build
./configure -bindir /usr/bin -libdir /usr/lib/coq -mandir /usr/share/man -emacs emacs -emacslib /usr/share/emacs/site-lisp/coq/ -opt <<EOF
Y
EOF

make world       # Use native coq to compile theories

%install
make -e COQINSTALLPREFIX=$RPM_BUILD_ROOT/ install

%files
/usr/bin/*
/usr/lib/coq/*
/usr/share/man/man?/*

%doc README INSTALL LICENSE CREDITS CHANGES Reference-Manual-all.ps.gz coq-docs-html/

%changelog
* Fri Oct 10 2003 Vitaly Lugovsky <vsl@altlinux.ru> 7.4-alt4s
rebuild (3.07)


* Wed Aug 27 2003 Vitaly Lugovsky <vsl@altlinux.ru> 7.4-alt3s
- rebuild (3.07bs)

* Sun Mar 16 2003 Vitaly Lugovsky <vsl@altlinux.ru> 7.4-alt2s
- bugfix - bytecode binaries should not be stripped

* Thu Mar 13 2003 Vitaly Lugovsky <vsl@altlinux.ru> 7.4-alt1s
- new version
- rebuild: ocaml 3.06[Shared]

* Thu Oct 24 2002 Vitaly Lugovsky <vsl@altlinux.ru> 7.3.1-alt1
- new version

* Thu Aug 29 2002 Vitaly Lugovsky <vsl@altlinux.ru> 7.3-alt5
- rebuild: ocaml 3.06

*Tue Jul 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 7.3-alt4
- rebuild: ocaml 3.05
- clean section removed

*Wed Jun 26 2002 Vitaly Lugovsky <vsl@altlinux.ru> 7.3-alt3
- paths fixed

*Tue Jun 25 2002 Vitaly Lugovsky <vsl@altlinux.ru> 7.3-alt2
- Reference manual included. Paths corrected.
  Note: emacs mode is not available by default - better use ProofGeneral.

*Mon Jun 24 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- Slightly adapted for the ALT Linux environment, patched to work with
  the current CVS camlp4.

